### Class

# Phosh AuthPromptOption

since: 0

#### Description

    final class Phosh.AuthPromptOption : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- GObject

#### Instance methods

###### phosh_auth_prompt_option_get_id

No description available.

since: 0

###### phosh_auth_prompt_option_get_label

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.AuthPromptOption:id

The internal identifier of this PhoshAuthPromptOption.

since: 0

###### Phosh.AuthPromptOption:label

The visible label of this PhoshAuthPromptOption.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshAuthPromptOptionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.